// -*- C++ -*-                                                                 |
//-----------------------------------------------------------------------------+
//                                                                             |
// Pi.h                                                                        |
//                                                                             |
// C++ code                                                                    |
//                                                                             |
// Copyright Walter Dehnen, 1994-2001                                          |
// e-mail:   dehnen@mpia.de                                                    |
// address:  Max-Planck Institut fr Astronomie,                               |
//           Knigstuhl 17, D-69117 Heidelberg, Germany                        |
//                                                                             |
//-----------------------------------------------------------------------------+
#ifndef included_Pi_h
#define included_Pi_h
////////////////////////////////////////////////////////////////////////////////
namespace util {
  const double Pi   = 3.14159265358979323846264338328;  // Pi                   
  const double Pih  = 0.5  * Pi;                        // Pi/2                 
  const double Piq  = 0.25 * Pi;                        // Pi/4                 
  const double Pi3h = 3.   * Pih;                       // 3*Pi/2               
  const double TPi  = 2.   * Pi;                        // 2*Pi                 
  const double FPi  = 4.   * Pi;                        // 4*Pi                 
  const double FPit = 4.   * Pi/3.;                     // 4*Pi/3               
  const double SPi  = 1.772453850905516027298167483341;	// Sqrt[Pi]             
  const double STPi = 2.506628274631000502415765284811; // Sqrt[2 Pi]           
#ifdef __COMPLEX__
  const complex<double> IMAG = complex<double>(0,1);	// i                    
  const complex<double> ITPi = IMAG * TPi;		// 2 i Pi               
#endif
}
////////////////////////////////////////////////////////////////////////////////
#endif // included_Pi_h
