
#ifndef ALLOW_NEMO
#error You need "ALLOW_NEMO" to compile TestPot
#endif

#include <iostream.h>
#include <nbdy/pext.h>                                // external potential     
using nbdy::real;
using nbdy::vect;
using nbdy::potential;
using nbdy::nemo_pot;

extern "C" {
#include <nemo.h>                                     // NEMO basics            
#include <potential.h>                                // NEMO potentials        
}


//------------------------------------------------------------------------------
string defv[] = {
  "potname=???\n       name of external potential          ",
  "potpars=\n          parameters of external potential    ",
  "potfile=\n          file required by external potential ",
  NULL};
string usage = "TestPot -- testing external potentials for NEMO";
//------------------------------------------------------------------------------
#if defined(DOUBLE_SINGLE) || defined(DOUBLE_DOUBLE)
# define GET_POT_REAL get_potential_double
#else
# define GET_POT_REAL get_potential_float
#endif // DOUBLEPRECISION
//------------------------------------------------------------------------------
void nemo_main()
{
  register real P,T;
  register vect X,F;
  potential *pot = new  nemo_pot(GET_POT_REAL(getparam("potname"),
					      getparam("potpars"),
					      getparam("potfile")));
  for(;;) {
    std::cout<<"(t,x,y,z) = "; std::cin>>T>>X;
    P = pot->pot_f(F,X,T);
    std::cout<<" P = "<<P<<"\n"
	     <<" F = "<<F<<"\n\n";
  }
}
